E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
G::Time Class Reference

A simple time-of-day (hh/mm/ss) class. More...

`#include <gtime.h>`

## Classes
class | LocalTime
| An overload discriminator class for Time constructors. More...

## Public Member Functions
| Time ()
| Constructor for the current time, using UTC.
| Time (const G::DateTime::BrokenDownTime &tm)
| Constructor for the given broken-down time.
| Time (G::EpochTime t)
| Constructor for the given epoch time, using UTC.
| Time (G::EpochTime t, const LocalTime &)
| Constructor for the given epoch time, using the local timezone.
| Time (const LocalTime &)
| Constructor for the current time, using the local timezone.
int | hours () const
| Returns the hours (0 <= h < 24).
int | minutes () const
| Returns the minutes (0 <= m < 60).
int | seconds () const
| Returns the seconds (0 <= s <= 61).
std::string | hhmmss (const char *sep=nullptr) const
| Returns the hhmmss string.
std::string | hhmm (const char *sep=nullptr) const
| Returns the hhmm string.
std::string | ss () const
| Returns the seconds as a two-digit decimal string.

## Detailed Description

A simple time-of-day (hh/mm/ss) class.

See also
  G::Date, G::DateTime

Definition at line 38 of file gtime.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gtime.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gtime.cpp